Description

Create a new pattern to generate source code for JSON controllers.

Create methods with the name of the unique keys to avoid several methods with the same name.

Use DLBeanSesion for the new pattern and call it Json.

Change pattern LSBeanSesion to BeanSesion and call the classes CcccEJB and CcccEJBBean.

Classes for the Json pattern Will be called CcccJson.

Control if the class has logic yo call it.

Prepare a package to make classes LSCcccJson with the rest of logic methods

Subtasks:

Tareas # 190: Create class CustomJacksonJaxbJsonProvider Cerrada

Tareas # 200: Use new pattern for logic data layer interface into logic layer interface Cerrada

History

#1 - 07/04/2018 10:09 AM - Jesús Freire

- Status changed from Nueva to En curso

Estado del EPP auto actualizado a En curso porque al menos una tarea no estaba en estado Nueva

#2 - 07/10/2018 09:16 PM - Jesús Freire

- Description updated

#3 - 07/12/2018 12:54 PM - Jesús Freire

- Status changed from En curso to Resuelta

Applied in changeset selene-wrapper|r752.

#4 - 07/14/2018 03:04 PM - Jesús Freire

- Status changed from Resuelta to En curso

Create methods of the logic data pattern.

Modify methods that receive unique keys to receive each field of the unique key

#5 - 07/30/2018 08:17 PM - Jesús Freire

- Status changed from En curso to Cerrada

Estado del EPP auto actualizado a Cerrada porque todas las tareas estaban cerradas
